Skip to main content
GET
Get a board by public ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

boardPublicId
string
required

Query Parameters

members
string[]
Minimum string length: 12
labels
string[]
Minimum string length: 12
lists
string[]
Minimum string length: 12
dueDateFilters
enum<string>[]
Available options:
overdue,
today,
tomorrow,
next-week,
next-month,
no-due-date
type
enum<string>
Available options:
regular,
template
cardView
enum<string>
default:full
Available options:
full,
summary

Response

200 - application/json
publicId
string
required
name
string
required
slug
string
required
visibility
enum<string>
required
Available options:
private,
public
isArchived
boolean
required
favorite
boolean
required
assignedMemberPublicIds
string[]
required

Members assigned to at least one card on the board.

workspace
object
required
labels
object[]
required
lists
object[]
required
allLists
object[]
required